Latest is fine unless you have some application which works only on some backdated versions
fixo like this